> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Sets prep details for a list of MSKUs.

POST https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails
Content-Type: application/json

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/set-prep-details

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a SetPrepDetailsRequest.

- `marketplaceId` (string, required) — The Walmart Marketplace ID. For a list of possible values, refer to [Marketplace IDs](https://developer-docs.walmart.com/seller-api/docs/marketplace-ids).
- `mskuPrepDetails` (list of MskuPrepDetailInput, required) — A list of MSKUs and related prep details.

## Response

### 202

Accepted — operation submitted asynchronously.

- `operationId` (string, required) — UUID for the given operation.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### MskuPrepDetailInput

An MSKU and its related prep details (input).

- `msku` (string, required) — The merchant SKU, a merchant-supplied identifier for a specific SKU.
- `prepCategory` (enum, required) — The preparation category for shipping an item to Walmart's fulfillment network.
  - Allowed values: `ADULT`, `BABY`, `FC_PROVIDED`, `FRAGILE`, `GRANULAR`, `HANGER`, `LIQUID`, `PERFORATED`, `SET`, `SHARP`, `SMALL`, `TEXTILE`, `UNKNOWN`, `NONE`
- `prepTypes` (list of enum, required) — A list of preparation types associated with a preparation category.
  - Allowed values: `ITEM_BLACK_SHRINKWRAP`, `ITEM_BLANKSTK`, `ITEM_BOXING`, `ITEM_BUBBLEWRAP`, `ITEM_CAP_SEALING`, `ITEM_DEBUNDLE`, `ITEM_HANG_GARMENT`, `ITEM_LABELING`, `ITEM_NO_PREP`, `ITEM_POLYBAGGING`, `ITEM_RMOVHANG`, `ITEM_SETCREAT`, `ITEM_SETSTK`, `ITEM_SIOC`, `ITEM_SUFFOSTK`, `ITEM_TAPING`

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

## Examples

**Request**

```json
{
  "marketplaceId": "string",
  "mskuPrepDetails": [
    {
      "msku": "string",
      "prepCategory": "ADULT",
      "prepTypes": [
        "ITEM_BLACK_SHRINKWRAP"
      ]
    }
  ]
}
```

**Response**

```json
{
  "operationId": "string"
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails"

payload = {
    "marketplaceId": "string",
    "mskuPrepDetails": [
        {
            "msku": "string",
            "prepCategory": "ADULT",
            "prepTypes": ["ITEM_BLACK_SHRINKWRAP"]
        }
    ]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"marketplaceId":"string","mskuPrepDetails":[{"msku":"string","prepCategory":"ADULT","prepTypes":["ITEM_BLACK_SHRINKWRAP"]}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails"

	payload := strings.NewReader("{\n  \"marketplaceId\": \"string\",\n  \"mskuPrepDetails\": [\n    {\n      \"msku\": \"string\",\n      \"prepCategory\": \"ADULT\",\n      \"prepTypes\": [\n        \"ITEM_BLACK_SHRINKWRAP\"\n      ]\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"marketplaceId\": \"string\",\n  \"mskuPrepDetails\": [\n    {\n      \"msku\": \"string\",\n      \"prepCategory\": \"ADULT\",\n      \"prepTypes\": [\n        \"ITEM_BLACK_SHRINKWRAP\"\n      ]\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails")
  .header("Content-Type", "application/json")
  .body("{\n  \"marketplaceId\": \"string\",\n  \"mskuPrepDetails\": [\n    {\n      \"msku\": \"string\",\n      \"prepCategory\": \"ADULT\",\n      \"prepTypes\": [\n        \"ITEM_BLACK_SHRINKWRAP\"\n      ]\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails', [
  'body' => '{
  "marketplaceId": "string",
  "mskuPrepDetails": [
    {
      "msku": "string",
      "prepCategory": "ADULT",
      "prepTypes": [
        "ITEM_BLACK_SHRINKWRAP"
      ]
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"marketplaceId\": \"string\",\n  \"mskuPrepDetails\": [\n    {\n      \"msku\": \"string\",\n      \"prepCategory\": \"ADULT\",\n      \"prepTypes\": [\n        \"ITEM_BLACK_SHRINKWRAP\"\n      ]\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "marketplaceId": "string",
  "mskuPrepDetails": [
    [
      "msku": "string",
      "prepCategory": "ADULT",
      "prepTypes": ["ITEM_BLACK_SHRINKWRAP"]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```